Index: /trunk/Nebulous-Server/Changes
===================================================================
--- /trunk/Nebulous-Server/Changes	(revision 19886)
+++ /trunk/Nebulous-Server/Changes	(revision 19887)
@@ -17,4 +17,5 @@
       daemon will run as
     - fix nebulous --stop to return a status of 0 on success
+    - add gentoo init script
 
 0.15 Thu Sep 11 13:00:59 HST 2008
Index: /trunk/Nebulous-Server/MANIFEST
===================================================================
--- /trunk/Nebulous-Server/MANIFEST	(revision 19886)
+++ /trunk/Nebulous-Server/MANIFEST	(revision 19887)
@@ -5,8 +5,8 @@
 README
 Todo
-bin/neb-voladd
 bin/neb-admin
 bin/neb-fsck
 bin/neb-initdb
+bin/neb-voladd
 bin/nebdiskd
 docs/c_api.h
@@ -17,8 +17,8 @@
 docs/tmp.txt
 examples/Makefile
-examples/uri_test.pl
 examples/nebexample.c
 examples/nebexample.pl
-lib/Test/Nebulous.pm
+examples/uri_test.pl
+init.d/nebdiskd
 lib/Nebulous/Keys.pm
 lib/Nebulous/Server.pm
@@ -29,4 +29,5 @@
 lib/Nebulous/Server/SOAP.pm
 lib/Nebulous/Server/SQL.pm
+lib/Test/Nebulous.pm
 scripts/bench_test.pl
 scripts/nebulous.cgi
Index: /trunk/Nebulous-Server/init.d/nebdiskd
===================================================================
--- /trunk/Nebulous-Server/init.d/nebdiskd	(revision 19887)
+++ /trunk/Nebulous-Server/init.d/nebdiskd	(revision 19887)
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+
+depend() {
+        need net
+        use logger
+}
+
+start() {
+# archttp looks for and write in config file under /.  as I can tell there is
+# no way to specify the path to the config file.
+        ebegin "Starting nebdiskd"
+        /usr/bin/nebdiskd 
+        eend $?
+}
+
+stop() {
+        ebegin "Stopping nebdiskd"
+        /usr/bin/nebdiskd --stop 
+        eend $?
+}
